- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Attributes | Protected Member Functions

# QXmlInputSource Class Reference

Search for all occurrences

## Detailed Description

Definition at line 158 of file qxml.h.

`#include <qxml.h>`

List of all members.

## Public Member Functions
| QXmlInputSource ()
| QXmlInputSource (QIODevice *dev)
virtual | ~QXmlInputSource ()
virtual void | setData (const QString &dat)
virtual void | setData (const QByteArray &dat)
virtual void | fetchData ()
virtual QString | data () const
virtual QChar | next ()
virtual void | reset ()
## Static Public Attributes
static const ushort | EndOfData
static const ushort | EndOfDocument
## Protected Member Functions
virtual QString | fromRawData (const QByteArray &data, bool beginning=false)

## Constructor & Destructor Documentation

QXmlInputSource | ( |  | ) |

QXmlInputSource | ( | QIODevice * | dev | ) |

virtual ~QXmlInputSource | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual void setData | ( | const QString & | dat | ) | `[virtual]`

Search for all occurrences

virtual void setData | ( | const QByteArray & | dat | ) | `[virtual]`

Search for all occurrences

virtual void fetchData | ( |  | ) | `[virtual]`

Search for all occurrences

virtual QString data | ( |  | ) | const `[virtual]`

Search for all occurrences

virtual QChar next | ( |  | ) | `[virtual]`

Search for all occurrences

virtual void reset | ( |  | ) | `[virtual]`

Search for all occurrences

virtual QString fromRawData | ( | const QByteArray & | data,
|  | bool | beginning = `false`
| ) |  | `[protected, virtual]`

Search for all occurrences

## Member Data Documentation

const ushort EndOfData `[static]`

Search for all occurrences

Definition at line 172 of file qxml.h.

const ushort EndOfDocument `[static]`

Search for all occurrences

Definition at line 173 of file qxml.h.

The documentation for this class was generated from the following file:

- QtXml/qxml.h

QXmlInputSource QXmlInputSource QXmlInputSource QXmlInputSource QXmlInputSource QXmlInputSource QXmlInputSource QXmlInputSource QXmlInputSource QXmlInputSource
QXmlInputSource QXmlInputSource QXmlInputSource QXmlInputSource QXmlInputSource QXmlInputSource QXmlInputSource QXmlInputSource QXmlInputSource QXmlInputSource